#! /bin/bash

RELNAME="${1}"

echo "Making release EnterTrack-${RELNAME}.  Correct? (^C if not..)"
read

tmpdir=$(mktemp -d)
trap "rm -rf ${tmpdir}" INT QUIT EXIT

cd ${tmpdir}
svn cp -m "Release tag ${RELNAME}" "https://entertrack.svn.sourceforge.net/svnroot/entertrack/trunk" "https://entertrack.svn.sourceforge.net/svnroot/entertrack/tags/entertrack-${RELNAME}" || exit 1
svn export https://entertrack.svn.sourceforge.net/svnroot/entertrack/trunk entertrack-${RELNAME} || exit 1
tar -zcf entertrack-${RELNAME}.tar.gz entertrack-${RELNAME} || exit 1
#ncftpput upload.sf.net incoming entertrack-${RELNAME}.tar.gz || exit 1
